import type { Hyper } from '../Hyper';
import type { HyperObject } from './object-core';
/**
 * Validates a value to be an object.
 * Objects require all properties, but does not fail on extra properties.
 *
 * @param hyper Object value.
 */
export declare function object<T extends {
    [K: string]: Hyper<any, any>;
}>(hyper: T): HyperObject<T>;
