import type { Hyper } from '../Hyper';
/**
 * Validates a value to be a struct.
 * Structs require all properties, and will fail if extra properties are provided.
 *
 * @param hyper Struct value.
 */
export declare function struct<T extends {
    [K: string]: Hyper<any, any>;
}>(hyper: T): import("./object-core").HyperObject<T>;
