"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.validate = exports.is = exports.assert = exports.apply = exports.Trace = exports.HypervalError = exports.unknown = exports.string = exports.number = exports.never = exports.literal = exports.instance = exports.func = exports.enums = exports.date = exports.custom = exports.boolean = exports.any = exports.OPTIONAL_MARKER = exports.optional = exports.HyperOptional = exports.nullable = exports.HyperNull = exports.HyperCast = exports.cast = exports.HyperAugment = exports.augment = exports.HyperAlter = exports.alter = exports.Hyper = exports.tuple = exports.HyperTuple = exports.struct = exports.set = exports.HyperSet = exports.record = exports.HyperRecord = exports.HyperObject = exports.object = exports.map = exports.HyperMap = exports.HyperArray = exports.array = exports.xor = exports.HyperXOR = exports.or = exports.HyperOR = exports.HyperAND = exports.and = void 0;
var and_1 = require("./composer/and");
Object.defineProperty(exports, "and", { enumerable: true, get: function () { return and_1.and; } });
Object.defineProperty(exports, "HyperAND", { enumerable: true, get: function () { return and_1.HyperAND; } });
var or_1 = require("./composer/or");
Object.defineProperty(exports, "HyperOR", { enumerable: true, get: function () { return or_1.HyperOR; } });
Object.defineProperty(exports, "or", { enumerable: true, get: function () { return or_1.or; } });
var xor_1 = require("./composer/xor");
Object.defineProperty(exports, "HyperXOR", { enumerable: true, get: function () { return xor_1.HyperXOR; } });
Object.defineProperty(exports, "xor", { enumerable: true, get: function () { return xor_1.xor; } });
var array_1 = require("./composite/array");
Object.defineProperty(exports, "array", { enumerable: true, get: function () { return array_1.array; } });
Object.defineProperty(exports, "HyperArray", { enumerable: true, get: function () { return array_1.HyperArray; } });
var map_1 = require("./composite/map");
Object.defineProperty(exports, "HyperMap", { enumerable: true, get: function () { return map_1.HyperMap; } });
Object.defineProperty(exports, "map", { enumerable: true, get: function () { return map_1.map; } });
var object_1 = require("./composite/object");
Object.defineProperty(exports, "object", { enumerable: true, get: function () { return object_1.object; } });
var object_core_1 = require("./composite/object-core");
Object.defineProperty(exports, "HyperObject", { enumerable: true, get: function () { return object_core_1.HyperObject; } });
var record_1 = require("./composite/record");
Object.defineProperty(exports, "HyperRecord", { enumerable: true, get: function () { return record_1.HyperRecord; } });
Object.defineProperty(exports, "record", { enumerable: true, get: function () { return record_1.record; } });
var set_1 = require("./composite/set");
Object.defineProperty(exports, "HyperSet", { enumerable: true, get: function () { return set_1.HyperSet; } });
Object.defineProperty(exports, "set", { enumerable: true, get: function () { return set_1.set; } });
var struct_1 = require("./composite/struct");
Object.defineProperty(exports, "struct", { enumerable: true, get: function () { return struct_1.struct; } });
var tuple_1 = require("./composite/tuple");
Object.defineProperty(exports, "HyperTuple", { enumerable: true, get: function () { return tuple_1.HyperTuple; } });
Object.defineProperty(exports, "tuple", { enumerable: true, get: function () { return tuple_1.tuple; } });
var Hyper_1 = require("./Hyper");
Object.defineProperty(exports, "Hyper", { enumerable: true, get: function () { return Hyper_1.Hyper; } });
var alter_1 = require("./modifier/alter");
Object.defineProperty(exports, "alter", { enumerable: true, get: function () { return alter_1.alter; } });
Object.defineProperty(exports, "HyperAlter", { enumerable: true, get: function () { return alter_1.HyperAlter; } });
var augment_1 = require("./modifier/augment");
Object.defineProperty(exports, "augment", { enumerable: true, get: function () { return augment_1.augment; } });
Object.defineProperty(exports, "HyperAugment", { enumerable: true, get: function () { return augment_1.HyperAugment; } });
var cast_1 = require("./modifier/cast");
Object.defineProperty(exports, "cast", { enumerable: true, get: function () { return cast_1.cast; } });
Object.defineProperty(exports, "HyperCast", { enumerable: true, get: function () { return cast_1.HyperCast; } });
var nullable_1 = require("./modifier/nullable");
Object.defineProperty(exports, "HyperNull", { enumerable: true, get: function () { return nullable_1.HyperNull; } });
Object.defineProperty(exports, "nullable", { enumerable: true, get: function () { return nullable_1.nullable; } });
var optional_1 = require("./modifier/optional");
Object.defineProperty(exports, "HyperOptional", { enumerable: true, get: function () { return optional_1.HyperOptional; } });
Object.defineProperty(exports, "optional", { enumerable: true, get: function () { return optional_1.optional; } });
Object.defineProperty(exports, "OPTIONAL_MARKER", { enumerable: true, get: function () { return optional_1.OPTIONAL_MARKER; } });
var any_1 = require("./primitive/any");
Object.defineProperty(exports, "any", { enumerable: true, get: function () { return any_1.any; } });
var boolean_1 = require("./primitive/boolean");
Object.defineProperty(exports, "boolean", { enumerable: true, get: function () { return boolean_1.boolean; } });
var custom_1 = require("./primitive/custom");
Object.defineProperty(exports, "custom", { enumerable: true, get: function () { return custom_1.custom; } });
var date_1 = require("./primitive/date");
Object.defineProperty(exports, "date", { enumerable: true, get: function () { return date_1.date; } });
var enums_1 = require("./primitive/enums");
Object.defineProperty(exports, "enums", { enumerable: true, get: function () { return enums_1.enums; } });
var func_1 = require("./primitive/func");
Object.defineProperty(exports, "func", { enumerable: true, get: function () { return func_1.func; } });
var instance_1 = require("./primitive/instance");
Object.defineProperty(exports, "instance", { enumerable: true, get: function () { return instance_1.instance; } });
var literal_1 = require("./primitive/literal");
Object.defineProperty(exports, "literal", { enumerable: true, get: function () { return literal_1.literal; } });
var never_1 = require("./primitive/never");
Object.defineProperty(exports, "never", { enumerable: true, get: function () { return never_1.never; } });
var number_1 = require("./primitive/number");
Object.defineProperty(exports, "number", { enumerable: true, get: function () { return number_1.number; } });
var string_1 = require("./primitive/string");
Object.defineProperty(exports, "string", { enumerable: true, get: function () { return string_1.string; } });
var unknown_1 = require("./primitive/unknown");
Object.defineProperty(exports, "unknown", { enumerable: true, get: function () { return unknown_1.unknown; } });
var Trace_1 = require("./Trace");
Object.defineProperty(exports, "HypervalError", { enumerable: true, get: function () { return Trace_1.HypervalError; } });
Object.defineProperty(exports, "Trace", { enumerable: true, get: function () { return Trace_1.Trace; } });
var Wrap_1 = require("./Wrap");
Object.defineProperty(exports, "apply", { enumerable: true, get: function () { return Wrap_1.apply; } });
Object.defineProperty(exports, "assert", { enumerable: true, get: function () { return Wrap_1.assert; } });
Object.defineProperty(exports, "is", { enumerable: true, get: function () { return Wrap_1.is; } });
Object.defineProperty(exports, "validate", { enumerable: true, get: function () { return Wrap_1.validate; } });
