"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.alter = exports.HyperAlter = void 0;
const Hyper_1 = require("../Hyper");
class HyperAlter extends Hyper_1.Hyper {
    constructor(
    /** Unalter schema */
    schema, ...hyper) {
        super(...hyper);
        this.schema = schema;
    }
}
exports.HyperAlter = HyperAlter;
function alter(hyperalter, alteration) {
    if (hyperalter instanceof Hyper_1.Hyper && alteration) {
        return new HyperAlter(hyperalter, 'alter', function (raw, failure) {
            return alteration(hyperalter.hyper(raw, failure));
        });
    }
    else {
        return (hyperval) => alter(hyperval, hyperalter);
    }
}
exports.alter = alter;
