import type { Hyper } from '../Hyper';
/**
 * Validates value to be a date.
 */
export declare function date(): Hyper<Date>;
/**
 * Validates value to be a date.
 * Date must also pass augmentation function.
 *
 * @param augment Adds an augmentation function that must evaluate to `true` in order for date to be valid.
 */
export declare function date(augment: (x: Date) => boolean): Hyper<Date>;
