"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.date = void 0;
const Hyper_1 = require("../Hyper");
const augment_1 = require("../modifier/augment");
const hyper = Hyper_1.hyperval_factory('date', x => x instanceof Date && !Number.isNaN(x.getTime()));
function date(modifier) {
    if (modifier) {
        return augment_1.augment(hyper, modifier);
    }
    else {
        return hyper;
    }
}
exports.date = date;
