import type { HyperRaw, HyperVal } from '../Hyper';
import { Hyper } from '../Hyper';
/**
 * Validates value to be part one of the provided values with same-value-zero equality or through its test function.
 *
 * @param value Literal value.
 */
export declare function enums<T extends (string | boolean | number | null | undefined | bigint | Hyper<any, any>)[]>(...value: T): Hyper<T extends (infer U)[] ? HyperRaw<U> : never, T extends (infer U_1)[] ? HyperVal<U_1> : never>;
