"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.literal = void 0;
const Hyper_1 = require("../Hyper");
/**
 * Validates value to be equal with same-value-zero equality.
 *
 * @param value Literal value.
 */
function literal(value) {
    return Hyper_1.hyperval_factory(`literal: ${typeof value === 'string' ? `"${value}"` : value}`, x => x === value);
}
exports.literal = literal;
