import type { Hyper } from '../Hyper';
/**
 * Validates value to be a number.
 */
export declare function number(): Hyper<number>;
/**
 * Validates value to be a number.
 * Number must also pass augmentation function.
 *
 * @param augment Adds an augmentation function that must evaluate to `true` in order for number to be valid.
 */
export declare function number(augment: (x: number) => boolean): Hyper<number>;
