"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.number = void 0;
const Hyper_1 = require("../Hyper");
const augment_1 = require("../modifier/augment");
const hyper = Hyper_1.hyperval_factory('number', x => typeof x === 'number' && !Number.isNaN(x));
function number(modifier) {
    if (modifier) {
        return augment_1.augment(hyper, modifier);
    }
    else {
        return hyper;
    }
}
exports.number = number;
