import { object_core } from './object-core';
/**
 * Validates a value to be a struct.
 * Structs require all properties, and will fail if extra properties are provided.
 *
 * @param hyper Struct value.
 */
export function struct(hyper) {
    const test = object_core(true, hyper);
    test.onfail = 'struct';
    return test;
}
