import { Hyper } from '../Hyper';
export class HyperAlter extends Hyper {
    constructor(
    /** Unalter schema */
    schema, ...hyper) {
        super(...hyper);
        this.schema = schema;
    }
}
export function alter(hyperalter, alteration) {
    if (hyperalter instanceof Hyper && alteration) {
        return new HyperAlter(hyperalter, 'alter', function (raw, failure) {
            return alteration(hyperalter.hyper(raw, failure));
        });
    }
    else {
        return (hyperval) => alter(hyperval, hyperalter);
    }
}
