import { hyperval_factory } from '../Hyper';
import { augment } from '../modifier/augment';
const hyper = hyperval_factory('number', x => typeof x === 'number' && !Number.isNaN(x));
export function number(modifier) {
    if (modifier) {
        return augment(hyper, modifier);
    }
    else {
        return hyper;
    }
}
