"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.struct = void 0;
const object_core_1 = require("./object-core");
/**
 * Validates a value to be a struct.
 * Structs require all properties, and will fail if extra properties are provided.
 *
 * @param hyper Struct value.
 */
function struct(hyper) {
    const test = object_core_1.object_core(true, hyper);
    test.onfail = 'struct';
    return test;
}
exports.struct = struct;
