"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.cast = exports.HyperCast = void 0;
const Hyper_1 = require("../Hyper");
class HyperCast extends Hyper_1.Hyper {
    constructor(
    /** Uncast schema */
    schema, ...hyper) {
        super(...hyper);
        this.schema = schema;
    }
}
exports.HyperCast = HyperCast;
function cast(hypercast, casting) {
    if (hypercast instanceof Hyper_1.Hyper && casting) {
        return new HyperCast(hypercast, 'cast', function (raw, failure) {
            return hypercast.hyper(casting(raw), failure);
        });
    }
    else {
        return (hyper) => cast(hyper, hypercast);
    }
}
exports.cast = cast;
