import { Hyper } from '../Hyper';
export class HyperCast extends Hyper {
    constructor(
    /** Uncast schema */
    schema, ...hyper) {
        super(...hyper);
        this.schema = schema;
    }
}
export function cast(hypercast, casting) {
    if (hypercast instanceof Hyper && casting) {
        return new HyperCast(hypercast, 'cast', function (raw, failure) {
            return hypercast.hyper(casting(raw), failure);
        });
    }
    else {
        return (hyper) => cast(hyper, hypercast);
    }
}
