import { hyperval_factory } from '../Hyper';
import { augment } from '../modifier/augment';
const hyper = hyperval_factory('date', x => x instanceof Date && !Number.isNaN(x.getTime()));
export function date(modifier) {
    if (modifier) {
        return augment(hyper, modifier);
    }
    else {
        return hyper;
    }
}
